use std::collections::HashMap;
use crate::{
    config::Config,
    model::auth::{ConnectionType, ExternalConnectionInfo, UserConnections},
};

/// A connection to Spotify.
///
/// <https://developer.spotify.com/documentation/web-api>
pub struct SpotifyConnection(pub UserConnections, pub Config);

impl SpotifyConnection {
    /// Create a new [`ExternalConnectionInfo`] for the connection.
    pub fn connection() -> ExternalConnectionInfo {
        ExternalConnectionInfo {
            con_type: ConnectionType::PKCE,
            data: HashMap::new(),
            show_on_profile: true,
        }
    }
}
